org.eclipse.rdf4j.model.vocabulary

## Class OWL

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.OWL

-     public class OWL
      extends Object

  Constants for OWL / OWL 2 primitives and for the OWL / OWL 2 namespace.
  See Also:
    OWL Web Ontology Language Reference, OWL 2 Web Ontology Language Document Overview

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ALLDIFFERENT` http://www.w3.org/2002/07/owl#AllDifferent
    `static IRI` | `ALLDISJOINTCLASSES` http://www.w3.org/2002/07/owl#AllDisjointClasses
    `static IRI` | `ALLDISJOINTPROPERTIES` http://www.w3.org/2002/07/owl#AllDisjointProperties
    `static IRI` | `ALLVALUESFROM` http://www.w3.org/2002/07/owl#allValuesFrom
    `static IRI` | `ANNOTATEDPROPERTY` http://www.w3.org/2002/07/owl#annotatedProperty
    `static IRI` | `ANNOTATEDSOURCE` http://www.w3.org/2002/07/owl#annotatedSource
    `static IRI` | `ANNOTATEDTARGET` http://www.w3.org/2002/07/owl#annotatedTarget
    `static IRI` | `ANNOTATION` http://www.w3.org/2002/07/owl#Annotation
    `static IRI` | `ANNOTATIONPROPERTY` http://www.w3.org/2002/07/owl#AnnotationProperty
    `static IRI` | `ASSERTIONPROPERTY` http://www.w3.org/2002/07/owl#assertionProperty
    `static IRI` | `ASYMMETRICPROPERTY` http://www.w3.org/2002/07/owl#AsymmetricProperty
    `static IRI` | `AXIOM` http://www.w3.org/2002/07/owl#Axiom
    `static IRI` | `BACKWARDCOMPATIBLEWITH` http://www.w3.org/2002/07/owl#backwardCompatibleWith
    `static IRI` | `BOTTOMDATAPROPERTY` http://www.w3.org/2002/07/owl#bottomDataProperty
    `static IRI` | `BOTTOMOBJECTPROPERTY` http://www.w3.org/2002/07/owl#bottomObjectProperty
    `static IRI` | `CARDINALITY` http://www.w3.org/2002/07/owl#cardinality
    `static IRI` | `CLASS` http://www.w3.org/2002/07/owl#Class
    `static IRI` | `COMPLEMENTOF` http://www.w3.org/2002/07/owl#complementOf
    `static IRI` | `DATARANGE` http://www.w3.org/2002/07/owl#DataRange
    `static IRI` | `DATATYPECOMPLEMENTOF` http://www.w3.org/2002/07/owl#datatypeComplementOf
    `static IRI` | `DATATYPEPROPERTY` http://www.w3.org/2002/07/owl#DatatypeProperty
    `static IRI` | `DEPRECATED` http://www.w3.org/2002/07/owl#deprecated
    `static IRI` | `DEPRECATEDCLASS` http://www.w3.org/2002/07/owl#DeprecatedClass
    `static IRI` | `DEPRECATEDPROPERTY` http://www.w3.org/2002/07/owl#DeprecatedProperty
    `static IRI` | `DIFFERENTFROM` http://www.w3.org/2002/07/owl#differentFrom
    `static IRI` | `DISJOINTUNIONOF` http://www.w3.org/2002/07/owl#disjointUnionOf
    `static IRI` | `DISJOINTWITH` http://www.w3.org/2002/07/owl#disjointWith
    `static IRI` | `DISTINCTMEMBERS` http://www.w3.org/2002/07/owl#distinctMembers
    `static IRI` | `EQUIVALENTCLASS` http://www.w3.org/2002/07/owl#equivalentClass
    `static IRI` | `EQUIVALENTPROPERTY` http://www.w3.org/2002/07/owl#equivalentProperty
    `static IRI` | `FUNCTIONALPROPERTY` http://www.w3.org/2002/07/owl#FunctionalProperty
    `static IRI` | `HASKEY` http://www.w3.org/2002/07/owl#hasKey
    `static IRI` | `HASSELF` http://www.w3.org/2002/07/owl#hasSelf
    `static IRI` | `HASVALUE` http://www.w3.org/2002/07/owl#hasValue
    `static IRI` | `IMPORTS` http://www.w3.org/2002/07/owl#imports
    `static IRI` | `INCOMPATIBLEWITH` http://www.w3.org/2002/07/owl#incompatibleWith
    `static IRI` | `INDIVIDUAL` Deprecated.
    `static IRI` | `INTERSECTIONOF` http://www.w3.org/2002/07/owl#intersectionOf
    `static IRI` | `INVERSEFUNCTIONALPROPERTY` http://www.w3.org/2002/07/owl#InverseFunctionalProperty
    `static IRI` | `INVERSEOF` http://www.w3.org/2002/07/owl#inverseOf
    `static IRI` | `IRREFLEXIVEPROPERTY` http://www.w3.org/2002/07/owl#IrreflexiveProperty
    `static IRI` | `MAXCARDINALITY` http://www.w3.org/2002/07/owl#maxCardinality
    `static IRI` | `MAXQUALIFIEDCARDINALITY` http://www.w3.org/2002/07/owl#maxQualifiedCardinality
    `static IRI` | `MEMBERS` http://www.w3.org/2002/07/owl#members
    `static IRI` | `MINCARDINALITY` http://www.w3.org/2002/07/owl#minCardinality
    `static IRI` | `MINQUALIFIEDCARDINALITY` http://www.w3.org/2002/07/owl#minQualifiedCardinality
    `static IRI` | `NAMEDINDIVIDUAL` http://www.w3.org/2002/07/owl#NamedIndividual
    `static String` | `NAMESPACE` The OWL namespace: http://www.w3.org/2002/07/owl#
    `static IRI` | `NEGATIVEPROPERTYASSERTION` http://www.w3.org/2002/07/owl#NegativePropertyAssertion
    `static IRI` | `NOTHING` http://www.w3.org/2002/07/owl#Nothing
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the OWL namespace.
    `static IRI` | `OBJECTPROPERTY` http://www.w3.org/2002/07/owl#ObjectProperty
    `static IRI` | `ONCLASS` http://www.w3.org/2002/07/owl#onClass
    `static IRI` | `ONDATARANGE` http://www.w3.org/2002/07/owl#onDataRange
    `static IRI` | `ONDATATYPE` http://www.w3.org/2002/07/owl#onDatatype
    `static IRI` | `ONEOF` http://www.w3.org/2002/07/owl#oneOf
    `static IRI` | `ONPROPERTIES` http://www.w3.org/2002/07/owl#onProperties
    `static IRI` | `ONPROPERTY` http://www.w3.org/2002/07/owl#onProperty
    `static IRI` | `ONTOLOGY` http://www.w3.org/2002/07/owl#Ontology
    `static IRI` | `ONTOLOGYPROPERTY` http://www.w3.org/2002/07/owl#OntologyProperty
    `static String` | `PREFIX` Recommended prefix for the OWL and the OWL 2 namespace: "owl"
    `static IRI` | `PRIORVERSION` http://www.w3.org/2002/07/owl#priorVersion
    `static IRI` | `PROPERTYCHAINAXIOM` http://www.w3.org/2002/07/owl#propertyChainAxiom
    `static IRI` | `PROPERTYDISJOINTWITH` http://www.w3.org/2002/07/owl#propertyDisjointWith
    `static IRI` | `QUALIFIEDCARDINALITY` http://www.w3.org/2002/07/owl#qualifiedCardinality
    `static IRI` | `REFLEXIVEPROPERTY` http://www.w3.org/2002/07/owl#ReflexiveProperty
    `static IRI` | `RESTRICTION` http://www.w3.org/2002/07/owl#Restriction
    `static IRI` | `SAMEAS` http://www.w3.org/2002/07/owl#sameAs
    `static IRI` | `SOMEVALUESFROM` http://www.w3.org/2002/07/owl#someValuesFrom
    `static IRI` | `SOURCEINDIVIDUAL` http://www.w3.org/2002/07/owl#sourceIndividual
    `static IRI` | `SYMMETRICPROPERTY` http://www.w3.org/2002/07/owl#SymmetricProperty
    `static IRI` | `TARGETINDIVIDUAL` http://www.w3.org/2002/07/owl#targetIndividual
    `static IRI` | `TARGETVALUE` http://www.w3.org/2002/07/owl#targetValue
    `static IRI` | `THING` http://www.w3.org/2002/07/owl#Thing
    `static IRI` | `TOPDATAPROPERTY` http://www.w3.org/2002/07/owl#topDataProperty
    `static IRI` | `TOPOBJECTPROPERTY` http://www.w3.org/2002/07/owl#topObjectProperty
    `static IRI` | `TRANSITIVEPROPERTY` http://www.w3.org/2002/07/owl#TransitiveProperty
    `static IRI` | `UNIONOF` http://www.w3.org/2002/07/owl#unionOf
    `static IRI` | `VERSIONINFO` http://www.w3.org/2002/07/owl#versionInfo
    `static IRI` | `VERSIONIRI` http://www.w3.org/2002/07/owl#versionIRI
    `static IRI` | `WITHRESTRICTIONS` http://www.w3.org/2002/07/owl#withRestrictions

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OWL()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The OWL namespace: http://www.w3.org/2002/07/owl#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the OWL and the OWL 2 namespace: "owl"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the OWL namespace.

    - #### CLASS

          public static final IRI CLASS

      http://www.w3.org/2002/07/owl#Class

    - #### INDIVIDUAL

          @Deprecated
          public static final IRI INDIVIDUAL

      Deprecated.
      http://www.w3.org/2002/07/owl#Individual

    - #### THING

          public static final IRI THING

      http://www.w3.org/2002/07/owl#Thing

    - #### NOTHING

          public static final IRI NOTHING

      http://www.w3.org/2002/07/owl#Nothing

    - #### EQUIVALENTCLASS

          public static final IRI EQUIVALENTCLASS

      http://www.w3.org/2002/07/owl#equivalentClass

    - #### EQUIVALENTPROPERTY

          public static final IRI EQUIVALENTPROPERTY

      http://www.w3.org/2002/07/owl#equivalentProperty

    - #### SAMEAS

          public static final IRI SAMEAS

      http://www.w3.org/2002/07/owl#sameAs

    - #### DIFFERENTFROM

          public static final IRI DIFFERENTFROM

      http://www.w3.org/2002/07/owl#differentFrom

    - #### ALLDIFFERENT

          public static final IRI ALLDIFFERENT

      http://www.w3.org/2002/07/owl#AllDifferent

    - #### DISTINCTMEMBERS

          public static final IRI DISTINCTMEMBERS

      http://www.w3.org/2002/07/owl#distinctMembers

    - #### OBJECTPROPERTY

          public static final IRI OBJECTPROPERTY

      http://www.w3.org/2002/07/owl#ObjectProperty

    - #### DATATYPEPROPERTY

          public static final IRI DATATYPEPROPERTY

      http://www.w3.org/2002/07/owl#DatatypeProperty

    - #### INVERSEOF

          public static final IRI INVERSEOF

      http://www.w3.org/2002/07/owl#inverseOf

    - #### TRANSITIVEPROPERTY

          public static final IRI TRANSITIVEPROPERTY

      http://www.w3.org/2002/07/owl#TransitiveProperty

    - #### SYMMETRICPROPERTY

          public static final IRI SYMMETRICPROPERTY

      http://www.w3.org/2002/07/owl#SymmetricProperty

    - #### FUNCTIONALPROPERTY

          public static final IRI FUNCTIONALPROPERTY

      http://www.w3.org/2002/07/owl#FunctionalProperty

    - #### INVERSEFUNCTIONALPROPERTY

          public static final IRI INVERSEFUNCTIONALPROPERTY

      http://www.w3.org/2002/07/owl#InverseFunctionalProperty

    - #### RESTRICTION

          public static final IRI RESTRICTION

      http://www.w3.org/2002/07/owl#Restriction

    - #### ONPROPERTY

          public static final IRI ONPROPERTY

      http://www.w3.org/2002/07/owl#onProperty

    - #### ALLVALUESFROM

          public static final IRI ALLVALUESFROM

      http://www.w3.org/2002/07/owl#allValuesFrom

    - #### SOMEVALUESFROM

          public static final IRI SOMEVALUESFROM

      http://www.w3.org/2002/07/owl#someValuesFrom

    - #### MINCARDINALITY

          public static final IRI MINCARDINALITY

      http://www.w3.org/2002/07/owl#minCardinality

    - #### MAXCARDINALITY

          public static final IRI MAXCARDINALITY

      http://www.w3.org/2002/07/owl#maxCardinality

    - #### CARDINALITY

          public static final IRI CARDINALITY

      http://www.w3.org/2002/07/owl#cardinality

    - #### ONTOLOGY

          public static final IRI ONTOLOGY

      http://www.w3.org/2002/07/owl#Ontology

    - #### IMPORTS

          public static final IRI IMPORTS

      http://www.w3.org/2002/07/owl#imports

    - #### INTERSECTIONOF

          public static final IRI INTERSECTIONOF

      http://www.w3.org/2002/07/owl#intersectionOf

    - #### VERSIONINFO

          public static final IRI VERSIONINFO

      http://www.w3.org/2002/07/owl#versionInfo

    - #### VERSIONIRI

          public static final IRI VERSIONIRI

      http://www.w3.org/2002/07/owl#versionIRI

    - #### PRIORVERSION

          public static final IRI PRIORVERSION

      http://www.w3.org/2002/07/owl#priorVersion

    - #### BACKWARDCOMPATIBLEWITH

          public static final IRI BACKWARDCOMPATIBLEWITH

      http://www.w3.org/2002/07/owl#backwardCompatibleWith

    - #### INCOMPATIBLEWITH

          public static final IRI INCOMPATIBLEWITH

      http://www.w3.org/2002/07/owl#incompatibleWith

    - #### DEPRECATEDCLASS

          public static final IRI DEPRECATEDCLASS

      http://www.w3.org/2002/07/owl#DeprecatedClass

    - #### DEPRECATEDPROPERTY

          public static final IRI DEPRECATEDPROPERTY

      http://www.w3.org/2002/07/owl#DeprecatedProperty

    - #### ANNOTATIONPROPERTY

          public static final IRI ANNOTATIONPROPERTY

      http://www.w3.org/2002/07/owl#AnnotationProperty

    - #### ONTOLOGYPROPERTY

          public static final IRI ONTOLOGYPROPERTY

      http://www.w3.org/2002/07/owl#OntologyProperty

    - #### ONEOF

          public static final IRI ONEOF

      http://www.w3.org/2002/07/owl#oneOf

    - #### HASVALUE

          public static final IRI HASVALUE

      http://www.w3.org/2002/07/owl#hasValue

    - #### DISJOINTWITH

          public static final IRI DISJOINTWITH

      http://www.w3.org/2002/07/owl#disjointWith

    - #### UNIONOF

          public static final IRI UNIONOF

      http://www.w3.org/2002/07/owl#unionOf

    - #### COMPLEMENTOF

          public static final IRI COMPLEMENTOF

      http://www.w3.org/2002/07/owl#complementOf

    - #### ALLDISJOINTCLASSES

          public static final IRI ALLDISJOINTCLASSES

      http://www.w3.org/2002/07/owl#AllDisjointClasses

    - #### ALLDISJOINTPROPERTIES

          public static final IRI ALLDISJOINTPROPERTIES

      http://www.w3.org/2002/07/owl#AllDisjointProperties

    - #### ANNOTATEDPROPERTY

          public static final IRI ANNOTATEDPROPERTY

      http://www.w3.org/2002/07/owl#annotatedProperty

    - #### ANNOTATEDSOURCE

          public static final IRI ANNOTATEDSOURCE

      http://www.w3.org/2002/07/owl#annotatedSource

    - #### ANNOTATEDTARGET

          public static final IRI ANNOTATEDTARGET

      http://www.w3.org/2002/07/owl#annotatedTarget

    - #### ANNOTATION

          public static final IRI ANNOTATION

      http://www.w3.org/2002/07/owl#Annotation

    - #### ASSERTIONPROPERTY

          public static final IRI ASSERTIONPROPERTY

      http://www.w3.org/2002/07/owl#assertionProperty

    - #### ASYMMETRICPROPERTY

          public static final IRI ASYMMETRICPROPERTY

      http://www.w3.org/2002/07/owl#AsymmetricProperty

    - #### AXIOM

          public static final IRI AXIOM

      http://www.w3.org/2002/07/owl#Axiom

    - #### BOTTOMDATAPROPERTY

          public static final IRI BOTTOMDATAPROPERTY

      http://www.w3.org/2002/07/owl#bottomDataProperty

    - #### BOTTOMOBJECTPROPERTY

          public static final IRI BOTTOMOBJECTPROPERTY

      http://www.w3.org/2002/07/owl#bottomObjectProperty

    - #### DATARANGE

          public static final IRI DATARANGE

      http://www.w3.org/2002/07/owl#DataRange

    - #### DATATYPECOMPLEMENTOF

          public static final IRI DATATYPECOMPLEMENTOF

      http://www.w3.org/2002/07/owl#datatypeComplementOf

    - #### DEPRECATED

          public static final IRI DEPRECATED

      http://www.w3.org/2002/07/owl#deprecated

    - #### DISJOINTUNIONOF

          public static final IRI DISJOINTUNIONOF

      http://www.w3.org/2002/07/owl#disjointUnionOf

    - #### HASKEY

          public static final IRI HASKEY

      http://www.w3.org/2002/07/owl#hasKey

    - #### HASSELF

          public static final IRI HASSELF

      http://www.w3.org/2002/07/owl#hasSelf

    - #### IRREFLEXIVEPROPERTY

          public static final IRI IRREFLEXIVEPROPERTY

      http://www.w3.org/2002/07/owl#IrreflexiveProperty

    - #### MAXQUALIFIEDCARDINALITY

          public static final IRI MAXQUALIFIEDCARDINALITY

      http://www.w3.org/2002/07/owl#maxQualifiedCardinality

    - #### MEMBERS

          public static final IRI MEMBERS

      http://www.w3.org/2002/07/owl#members

    - #### MINQUALIFIEDCARDINALITY

          public static final IRI MINQUALIFIEDCARDINALITY

      http://www.w3.org/2002/07/owl#minQualifiedCardinality

    - #### NAMEDINDIVIDUAL

          public static final IRI NAMEDINDIVIDUAL

      http://www.w3.org/2002/07/owl#NamedIndividual

    - #### NEGATIVEPROPERTYASSERTION

          public static final IRI NEGATIVEPROPERTYASSERTION

      http://www.w3.org/2002/07/owl#NegativePropertyAssertion

    - #### ONCLASS

          public static final IRI ONCLASS

      http://www.w3.org/2002/07/owl#onClass

    - #### ONDATARANGE

          public static final IRI ONDATARANGE

      http://www.w3.org/2002/07/owl#onDataRange

    - #### ONDATATYPE

          public static final IRI ONDATATYPE

      http://www.w3.org/2002/07/owl#onDatatype

    - #### ONPROPERTIES

          public static final IRI ONPROPERTIES

      http://www.w3.org/2002/07/owl#onProperties

    - #### PROPERTYCHAINAXIOM

          public static final IRI PROPERTYCHAINAXIOM

      http://www.w3.org/2002/07/owl#propertyChainAxiom

    - #### PROPERTYDISJOINTWITH

          public static final IRI PROPERTYDISJOINTWITH

      http://www.w3.org/2002/07/owl#propertyDisjointWith

    - #### QUALIFIEDCARDINALITY

          public static final IRI QUALIFIEDCARDINALITY

      http://www.w3.org/2002/07/owl#qualifiedCardinality

    - #### REFLEXIVEPROPERTY

          public static final IRI REFLEXIVEPROPERTY

      http://www.w3.org/2002/07/owl#ReflexiveProperty

    - #### SOURCEINDIVIDUAL

          public static final IRI SOURCEINDIVIDUAL

      http://www.w3.org/2002/07/owl#sourceIndividual

    - #### TARGETINDIVIDUAL

          public static final IRI TARGETINDIVIDUAL

      http://www.w3.org/2002/07/owl#targetIndividual

    - #### TARGETVALUE

          public static final IRI TARGETVALUE

      http://www.w3.org/2002/07/owl#targetValue

    - #### TOPDATAPROPERTY

          public static final IRI TOPDATAPROPERTY

      http://www.w3.org/2002/07/owl#topDataProperty

    - #### TOPOBJECTPROPERTY

          public static final IRI TOPOBJECTPROPERTY

      http://www.w3.org/2002/07/owl#topObjectProperty

    - #### WITHRESTRICTIONS

          public static final IRI WITHRESTRICTIONS

      http://www.w3.org/2002/07/owl#withRestrictions

  - ### Constructor Detail

    - #### OWL

          public OWL()

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.